<?php

namespace FM\Service;

use FM\Factory\LocalFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class LocalService {

    protected $LocalFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (LocalFactory $LocalFactory, Environment $Environment, NewCode $newCode) {
        $this->LocalFactory = $LocalFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function getAllLocals($params) {
        $locals = $this->LocalFactory->selectAllLocals($params);
        return $locals;
    }
    
    public function getLocals($params) {
        $locals = $this->LocalFactory->selectLocals($params);
        return $locals;
    }
    
    public function Locals() {
        $locals = $this->LocalFactory->getLocals();
        return $locals;
    }
    
}

?>